commit: 05ad47893c8c5b36f82824695d1a3609573dbc96
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 22 23:04:55 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Mar 23 04:48:56 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05ad4789
net-irc/ngircd: style + BDEPEND
* Style changes (sam-style semicolons)
* expect and telnet are used during testing as binaries
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-irc/ngircd/ngircd-26.1.ebuild | 23 +++++++++++------------
1 file changed, 11 insertions(+), 12 deletions(-)
diff --git a/net-irc/ngircd/ngircd-26.1.ebuild
b/net-irc/ngircd/ngircd-26.1.ebuild
index 4a9c13b0336..a19285e647e 100644
--- a/net-irc/ngircd/ngircd-26.1.ebuild
+++ b/net-irc/ngircd/ngircd-26.1.ebuild
@@ -36,11 +36,9 @@ RDEPEND="
tcpd? ( sys-apps/tcp-wrappers )
zlib? ( sys-libs/zlib )
"
-
-BDEPEND="sys-devel/automake:1.11"
-
-DEPEND="
- ${RDEPEND}
+DEPEND="${RDEPEND}"
+BDEPEND="
+ sys-devel/automake:1.11
test? (
dev-tcltk/expect
net-misc/netkit-telnetd
@@ -50,7 +48,7 @@ DEPEND="
src_prepare() {
default
- if ! use prefix; then
+ if ! use prefix ; then
sed -i \
-e "s:;ServerUID = 65534:ServerUID = ngircd:" \
-e "s:;ServerGID = 65534:ServerGID = ngircd:" \
@@ -63,8 +61,8 @@ src_prepare() {
}
src_configure() {
- local myconf=(
- --sysconfdir="${EPREFIX}"/etc/"${PN}"
+ local myeconf=(
+ --sysconfdir="${EPREFIX}"/etc/${PN}
$(use_enable debug sniffer)
$(use_enable debug)
$(use_enable irc-plus ircplus)
@@ -77,8 +75,8 @@ src_configure() {
$(use_with zlib)
)
- if use ssl; then
- if use gnutls; then
+ if use ssl ; then
+ if use gnutls ; then
myconf+=(
$( use_with gnutls )
)
@@ -89,16 +87,17 @@ src_configure() {
fi
fi
- econf "${myconf[@]}"
+ econf "${myeconf[@]}"
}
src_install() {
default
+
newinitd "${FILESDIR}"/ngircd.init-r1.d ngircd
}
pkg_postinst() {
- if [[ -z ${REPLACING_VERSIONS} ]] && use pam; then
+ if [[ -z ${REPLACING_VERSIONS} ]] && use pam ; then
elog "ngircd will use PAMIsOptionalPAM by default, please
change this option."
elog "You may not be able to login until you change this."
fi